{
    onImmunity(type, pokemon) {
        if (type === "sandstorm")
            return false;
    },
    onModifyAccuracyPriority: 10,
    onModifyAccuracy(accuracy, target, source, move) {
        if (move.category === "Status" && typeof accuracy === "number" && this.field.isWeather(["sandstorm"])) {
            this.debug("sandveil's wonderskin fx - setting accuracy to 50");
            return 50;
        }
    },
    onDamage(damage, target, source, effect) {
        if (effect.effectType !== "Move" && this.field.isWeather(["sandstorm"])) {
            if (effect.effectType === "Ability" && this.field.isWeather(["sandstorm"]))
                this.add("-activate", source, "ability: " + effect.name);
            return false;
        }
    },
    flags: { breakable: 1 },
    name: "Sand Veil",
    rating: 1.5,
    num: 8
}
